# StateBasedTest (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.tests
Class StateBasedTest

    java.lang.Object
      org.newdawn.slick.state.StateBasedGame
          org.newdawn.slick.tests.StateBasedTest

All Implemented Interfaces:
  ControlledInputReciever, ControllerListener, Game, InputListener, KeyListener, MouseListener

    public class StateBasedTest

extends StateBasedGame

A test for the multi-state based functionality

Author:
  kevin

Constructor Summary
`StateBasedTest()` Create a new test

Method Summary
`void` `initStatesList(GameContainer container)` Initialise the list of states making up this game
`static void` `main(java.lang.String[] argv)` Entry point to our test

Methods inherited from class org.newdawn.slick.state.StateBasedGame

`addState, closeRequested, controllerButtonPressed, controllerButtonReleased, controllerDownPressed, controllerDownReleased, controllerLeftPressed, controllerLeftReleased, controllerRightPressed, controllerRightReleased, controllerUpPressed, controllerUpReleased, enterState, enterState, getContainer, getCurrentState, getCurrentStateID, getState, getStateCount, getTitle, init, inputEnded, inputStarted, isAcceptingInput, keyPressed, keyReleased, mouseClicked, mouseDragged, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved, postRenderState, postUpdateState, preRenderState, preUpdateState, render, setInput, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateBasedTest

    public StateBasedTest()

  Create a new test

Method Detail

### initStatesList

    public void initStatesList(GameContainer container)

  Description copied from class: `StateBasedGame`
  Initialise the list of states making up this game

  Specified by:
    `initStatesList` in class `StateBasedGame`
  Parameters:
    `container` - The container holding the game
  See Also:
    `StateBasedGame.initStatesList(org.newdawn.slick.GameContainer)`

### main

    public static void main(java.lang.String[] argv)

  Entry point to our test

  Parameters:
    `argv` - The arguments to pass into the test

Copyright © 2006 New Dawn Software. All Rights Reserved.